## kopete 21.12.3

=== plugins/CMakeLists.txt ===
option(WITH_latex "Enable Kopete latex plugin" OFF) # to be fixed or rewritten
option(WITH_autoreplace "Enable Kopete autoreplace plugin" ON) 
option(WITH_history "Enable Kopete history plugin" ON) # To be re-written
option(WITH_history2 "Enable Kopete history2 plugin" OFF) # To be re-written
option(WITH_contactnotes "Enable Kopete contactnotes plugin" ON)
option(WITH_translator "Enable Kopete translator plugin" OFF)
option(WITH_nowlistening "Enable Kopete nowlistening plugin" OFF)
option(WITH_texteffect "Enable Kopete texteffect plugin" ON)
option(WITH_highlight "Enable Kopete highlight plugin" ON)
option(WITH_alias "Enable Kopete alias plugin" OFF) # Disabled because someone thought it does nothing :P
option(WITH_addbookmarks "Enable Kopete addbookmarks plugin" ON)
option(WITH_privacy "Enable Kopete privacy plugin" ON)
option(WITH_urlpicpreview "Enable Kopete urlpicpreview plugin" ON)
option(WITH_statistics "Enable Kopete statistics plugin" ON)
option(WITH_webpresence "Enable Kopete webpresence plugin" ON)
option(WITH_pipes "Enable Kopete pipes plugin" OFF)
option(WITH_otr "Enable Kopete Off-the-Record plugin" ON)
option(WITH_cryptography "Enable Kopete Cryptography plugin" OFF) # To be re-written

# Laurent this plugins use shell script which will not work on windows
if (WITH_latex AND UNIX)
  add_subdirectory( latex )
endif()
if (WITH_autoreplace)
  add_subdirectory( autoreplace )
endif()
if (WITH_history)
  add_subdirectory( history )
endif()
if (WITH_history2)
  add_subdirectory( history2 )
endif()
if (WITH_contactnotes)
  add_subdirectory( contactnotes )
endif()
if (WITH_translator)
  add_subdirectory( translator )
endif()
if (WITH_nowlistening)
  add_subdirectory( nowlistening )
endif()
if (WITH_texteffect)
  add_subdirectory( texteffect )
endif()
if (WITH_highlight)
  add_subdirectory( highlight )
endif()
if (WITH_alias)
  add_subdirectory( alias )
endif()
if (WITH_addbookmarks)
  add_subdirectory( addbookmarks )
endif()
if(NOT MSVC)
if (WITH_privacy)
  add_subdirectory( privacy )
endif()
else()
  message(STATUS "disabled privacy plugin because some KGenericFactory<> template won't compile")
endif()
if (WITH_urlpicpreview)
  add_subdirectory( urlpicpreview )
endif()
if (WITH_statistics AND SQLITE_FOUND)
  add_subdirectory ( statistics ) 
endif()
if(WITH_pipes)
  add_subdirectory ( pipes )
endif()
if(WITH_webpresence AND LIBXML2_FOUND AND LIBXSLT_FOUND)
  add_subdirectory( webpresence )
endif()
if (WITH_otr AND LIBOTR_FOUND)
  add_subdirectory ( otr )
endif()
if (WITH_cryptography AND QGpgme_FOUND)
  add_subdirectory ( cryptography )
endif()

=== protocols/CMakeLists.txt ===
option(WITH_testbed "Enable Kopete testbed protocol" ON)
option(WITH_oscar "Enable Kopete Oscar (ICQ and AIM) protocol" ON)
option(WITH_qq "Enable Kopete QQ protocol" ON)
option(WITH_sms "Enable Kopete SMS protocol" ON)
option(WITH_groupwise "Enable Novell GroupWise Messenger protocol" ON)
option(WITH_winpopup "Enable Kopete winpopup protocol" ON)
option(WITH_gadu "Enable Kopete Gadu-Gadu protocol" ON)
option(WITH_jabber "Enable Kopete Jabber protocol" ON)
option(WITH_libjingle "Enable Kopete Jabber libjingle support" ON)
option(WITH_bonjour "Enable Kopete Bonjour protocol" ON)
option(WITH_meanwhile "Enable Kopete meanwhile protocol" ON)
option(WITH_skype "Enable Kopete Skype protocol" ON)

# Disable jingle support because it is not working and libiris does not support it
#if(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
#  message(STATUS "Building jingle support")
#  set(BUILD_JINGLE TRUE)
#else()
#  message(STATUS "Not building jingle support (recommended)")
#  set(BUILD_JINGLE FALSE)
#endif()
set(BUILD_JINGLE FALSE)

if(OPENSSL_FOUND OR WIN32)
  if(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND MEDIASTREAMER_FOUND AND WITH_libjingle)
    message(STATUS "Building jabber libjingle support")
    set(BUILD_LIBJINGLE TRUE)
  else()
    message(STATUS "Not building jabber libjingle support")
    set(BUILD_LIBJINGLE FALSE)
  endif()
else()
  message(STATUS "Not building jabber libjingle support")
  set(BUILD_LIBJINGLE FALSE)
endif()

include_directories(${KOPETE_INCLUDES})

if(WITH_oscar)
  add_subdirectory( oscar )
endif()
if(WITH_qq)
  add_subdirectory( qq )
endif()
if(NOT WIN32)
  if(WITH_winpopup)
    add_subdirectory( winpopup )
  endif()
  if(WITH_gadu AND LIBGADU_FOUND)
    add_subdirectory( gadu )
  endif()
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: WARNING: sms plugin disabled")

#  if(WITH_sms)
#    add_subdirectory( sms )
#  endif()
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: WARNING: skype plugin disabled")
#  if(NOT APPLE AND WITH_skype)
#    add_subdirectory( skype )
#  endif()
endif()

if(Qca-qt5_FOUND AND ZLIB_FOUND)
  if(IDN_FOUND)
    if(WITH_jabber)
      add_subdirectory( jabber )
    endif()
  else()
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Jabber because libidn-devel was not found")
  endif()
  if(WITH_groupwise)
    add_subdirectory( groupwise )
  endif()
else()
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled GroupWise and Jabber because QCA2 was not found")
endif()

if(WITH_testbed)
  add_subdirectory( testbed )
endif()

if(WITH_bonjour)
  add_subdirectory( bonjour )
endif()

if(WITH_meanwhile)
  if(LIBMEANWHILE_FOUND)
    add_subdirectory( meanwhile )
  else()
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Meanwhile beause libmeanwhile was not found")
  endif()
endif()

=== plugins/pipes/CMakeLists.txt ===

include_directories ( ${KOPETE_INCLUDES} )

#add_subdirectory ( tests )

########### next target ###############

find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS KCMUtils )

set (kopete_pipes_PART_SRCS 
 pipesplugin.cpp
 pipesconfig.cpp )

add_library(kopete_pipes MODULE ${kopete_pipes_PART_SRCS})

target_link_libraries( kopete_pipes KF5::KIOCore  kopete )

install( TARGETS kopete_pipes DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### next target ###############

set ( kcm_kopete_pipes_PART_SRCS
  pipespreferences.cpp
  pipesdelegate.cpp
  pipesmodel.cpp
  pipesconfig.cpp )

ki18n_wrap_ui( kcm_kopete_pipes_PART_SRCS pipesprefsbase.ui )

add_library(kcm_kopete_pipes MODULE ${kcm_kopete_pipes_PART_SRCS} )

target_link_libraries( kcm_kopete_pipes
	KF5::KIOCore
	KF5::KCMUtils
	kopete
)

install( TARGETS kcm_kopete_pipes  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############
install( FILES kopete_pipes.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES kopete_pipes_config.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kconfiguredialog )

=== protocols/groupwise/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libgroupwise/tasks ${CMAKE_CURRENT_SOURCE_DIR}/libgroupwise ${CMAKE_CURRENT_SOURCE_DIR}/ui ${QCA2_INCLUDE_DIR} )

add_subdirectory( libgroupwise ) 
add_subdirectory( icons ) 


########### ui parts ####################

set( GROUPWISE_DEBUG_GLOBAL 14190 )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=${GROUPWISE_DEBUG_GLOBAL} )

set( kopete_groupwise_ui_SRCS
    ui/gwaddcontactpage.cpp
    ui/gweditaccountwidget.cpp
    ui/gwreceiveinvitationdialog.cpp
    ui/gwcontactproperties.cpp
    ui/gwprivacydialog.cpp
    ui/gwsearch.cpp
    ui/gwchatsearchdialog.cpp
    ui/gwchatpropsdialog.cpp
    )

ki18n_wrap_ui(kopete_groupwise_ui_SRCS
    ui/gwaccountpreferences.ui
    ui/gwaddui.ui
    ui/gwchatprops.ui
    ui/gwchatsearch.ui
    ui/gwshowinvitation.ui
    ui/gwcontactprops.ui
    ui/gwprivacy.ui
    ui/gwcustomstatus.ui
    ui/gwcustomstatusedit.ui
    ui/gwcontactprops.ui
    ui/gwcontactsearch.ui
    ui/gwcustomstatus.ui
    ui/gwcustomstatusedit.ui
    ui/gwcontactsearch.ui
    ui/gwchatsearch.ui
    )

########### next target ###############

set(kopete_groupwise_PART_SRCS
    ${kopete_groupwise_ui_SRCS}
    gwprotocol.cpp
    gwcontact.cpp
    gwaccount.cpp
    gwbytestream.cpp
    gwconnector.cpp
    gwmessagemanager.cpp
    gwcontactlist.cpp
    )

add_library(kopete_groupwise MODULE ${kopete_groupwise_PART_SRCS})

link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libgroupwise )

target_link_libraries(kopete_groupwise  KF5::KDELibs4Support qgroupwise kopete ${QCA2_LIBRARIES})

install(TARGETS kopete_groupwise  DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install( FILES kopete_groupwise.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES gwchatui.rc  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kopete_groupwise)

=== protocols/jabber/CMakeLists.txt ===
add_definitions(-DIRIS_XMPP_JID_DEPRECATED)

add_subdirectory( icons ) 
add_subdirectory( libiris ) 

#FIXME:glib : necessary ?
include_directories( 
    ${KOPETE_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/ui/
    ${CMAKE_CURRENT_SOURCE_DIR}/tasks/
    ${CMAKE_CURRENT_SOURCE_DIR}/libiris/include/iris
    ${CMAKE_CURRENT_SOURCE_DIR}/libiris/src
    ${QCA2_INCLUDE_DIR}
    )

if(BUILD_LIBJINGLE)
    add_subdirectory(libjingle)
    add_definitions(-DLIBJINGLE_SUPPORT)
endif(BUILD_LIBJINGLE)

IF(BUILD_JINGLE)
add_definitions(-DJINGLE_SUPPORT)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/jingle)
include_directories(${LIBORTP_INCLUDE_DIR} ${ALSA_INCLUDES} ${SPEEX_INCLUDE_DIR})
ENDIF(BUILD_JINGLE)

#link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ ${CMAKE_CURRENT_BINARY_DIR}/jingle/ )
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ )

########### next target ###############

set(kopete_jabber_ui_SRCS 
    ui/dlgxmppconsole.cpp
    ui/jabberaddcontactpage.cpp
    ui/dlgjabbervcard.cpp
    ui/dlgjabberservices.cpp
    ui/dlgregister.cpp
    ui/dlgsearch.cpp
    ui/dlgahcommand.cpp
    ui/dlgahclist.cpp
    ui/jabbereditaccountwidget.cpp
    ui/jabberregisteraccount.cpp
    ui/jabberchooseserver.cpp
    ui/dlgjabberbookmarkeditor.cpp
    ui/dlgjabberchangepassword.cpp
    ui/dlgjabberchatroomslist.cpp
    ui/dlgjabberchatjoin.cpp
    ui/privacylistblockedmodel.cpp
    ui/privacylistmodel.cpp
    ui/privacydlg.cpp
    ui/privacyruledlg.cpp
    ui/dlgjabberxoauth2.cpp
    )

ecm_qt_declare_logging_category(kopete_jabber_ui_SRCS HEADER jabber_protocol_debug.h IDENTIFIER JABBER_PROTOCOL_LOG CATEGORY_NAME org.kde.kopete.jabber)

if(BUILD_LIBJINGLE)
    set(kopete_jabber_ui_SRCS
        ${kopete_jabber_ui_SRCS}
        libjinglecalldialog.cpp
        )
endif(BUILD_LIBJINGLE)

if(BUILD_JINGLE)	
    set(kopete_jabber_ui_SRCS
        ${kopete_jabber_ui_SRCS}
        jingle/jinglecontentdialog.cpp
        jingle/jinglecallsgui.cpp
        )
endif(BUILD_JINGLE)

set(kopete_jabber_ui_files
    #   ${kopete_jabber_ui_SRCS}
    ui/dlgxmppconsole.ui
    ui/dlgjabberregisteraccount.ui
    ui/dlgjabberchooseserver.ui
    ui/dlgvcard.ui
    ui/dlgservices.ui
    ui/dlgaddcontact.ui
    ui/dlgsearch.ui
    ui/dlgchangepassword.ui
    ui/dlgjabberbookmarkeditor.ui
    ui/dlgjabbereditaccountwidget.ui
    ui/dlgchatjoin.ui
    ui/dlgchatroomslist.ui
    ui/privacyrule.ui
    ui/privacy.ui
    ui/dlgxoauth2.ui
    )

if(BUILD_LIBJINGLE)
    set(kopete_jabber_ui_files
        ${kopete_jabber_ui_files}
        libjinglecalldialog.ui
        )
endif(BUILD_LIBJINGLE)

if(BUILD_JINGLE)
    set(kopete_jabber_ui_files
        ${kopete_jabber_ui_files}
        jingle/jinglecontentdialog.ui
        jingle/jinglecallsgui.ui
        )
endif(BUILD_JINGLE)

ki18n_wrap_ui(kopete_jabber_ui_SRCS ${kopete_jabber_ui_files})

set(kopete_jabber_PART_SRCS 
    tasks/jt_getlastactivity.cpp
    tasks/jt_privatestorage.cpp
    tasks/jt_ahcommand.cpp
    tasks/jt_xsearch.cpp
    tasks/jt_xregister.cpp
    tasks/jt_pubsub.cpp
    tasks/mood.cpp
    tasks/privacylistitem.cpp
    tasks/privacylist.cpp
    tasks/privacymanager.cpp
    ${kopete_jabber_ui_SRCS}
    jabberprotocol.cpp
    jabberaccount.cpp
    jabberresource.cpp
    jabberresourcepool.cpp
    jabberbasecontact.cpp
    jabbercontact.cpp
    jabbergroupcontact.cpp
    jabbergroupmembercontact.cpp
    jabbercontactpool.cpp
    jabberformtranslator.cpp
    jabberxdatawidget.cpp
    jabberformlineedit.cpp
    jabberchatsession.cpp
    jabbergroupchatmanager.cpp
    jabberfiletransfer.cpp
    jabbercapabilitiesmanager.cpp
    jabbertransport.cpp
    jabberbookmarks.cpp
    jabberclient.cpp
    jabberbobcache.cpp
    xoauth2provider.cpp
    )
qt5_add_resources(kopete_jabber_PART_SRCS jabberprotocol.qrc)
if(BUILD_LIBJINGLE)
    set(kopete_jabber_PART_SRCS
        ${kopete_jabber_PART_SRCS}
        libjingle.cpp
        )
endif(BUILD_LIBJINGLE)

if(BUILD_JINGLE)	
    set(kopete_jabber_PART_SRCS
        ${kopete_jabber_PART_SRCS}
        jingle/jinglecallsmanager.cpp
        jingle/jabberjinglesession.cpp
        jingle/jabberjinglecontent.cpp
        jingle/jinglertpsession.cpp
        jingle/mediamanager.cpp
        jingle/mediasession.cpp
        jingle/alsaio.cpp
        jingle/speexio.cpp
        jingle/abstractio.cpp
        )
endif(BUILD_JINGLE)

add_library(kopete_jabber MODULE ${kopete_jabber_PART_SRCS})
generate_export_header(kopete_jabber BASE_NAME jabber)

target_link_libraries(kopete_jabber  KF5::KIOCore ${QCA2_LIBRARIES}  kopete iris_kopete)
if(BUILD_JINGLE)	
    target_link_libraries(kopete_jabber ${LIBORTP_LIBRARY} ${ASOUND_LIBRARY} ${SPEEX_LIBRARY})
endif(BUILD_JINGLE)

install(TARGETS kopete_jabber  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES kopete_jabber.desktop xmpp.protocol DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== protocols/skype/CMakeLists.txt ===
project( kopete_skype )

########### next target ###############

include_directories(
	${QT_QTDBUS_INCLUDE_DIR}

	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/libskype
	${CMAKE_CURRENT_SOURCE_DIR}/libskype/skypedbus
	${CMAKE_CURRENT_SOURCE_DIR}/skypebuttons
	${CMAKE_CURRENT_SOURCE_DIR}/skypebuttons/qtbrowserplugin

	${CMAKE_CURRENT_BUILD_DIR}
)

include(ECMOptionalAddSubdirectory)

add_definitions(-DSKYPE_DEBUG_GLOBAL=14311)

########### next target ###############

set(
	skypedbus_SRCS
	libskype/skypedbus/skypeconnection.cpp
)

qt5_add_dbus_adaptor(
	skypedbus_SRCS
	libskype/skypedbus/com.Skype.API.Client.xml
	libskype/skypedbus/skypeconnection.h
	SkypeConnection
	skypeadaptor
	SkypeAdaptor
)

set(
	libskype_SRCS

	libskype/skype.cpp
	libskype/skypewindow.cpp
)

set(
	kopete_skype_ui_SRCS
)

ki18n_wrap_ui(
	kopete_skype_ui_SRCS
	ui/skypeaddcontactbase.ui
	ui/skypecalldialogbase.ui
	ui/skypedetailsbase.ui
	ui/skypeeditaccountbase.ui
)

set(
	kopete_skype_SRCS
	${skypedbus_SRCS}
	${libskype_SRCS}
	${kopete_skype_ui_SRCS}
	skypeaccount.cpp
	skypeaddcontact.cpp
	skypecalldialog.cpp
#	skypeconference.cpp
	skypecontact.cpp
	skypedetails.cpp
	skypeeditaccount.cpp
	skypechatsession.cpp
	skypeprotocol.cpp
)

add_library( kopete_skype MODULE ${kopete_skype_SRCS} )

target_link_libraries(
	kopete_skype
	kopete
	
	${X11_X11_LIB}
)

########### next target ###############

add_subdirectory( icons )
ecm_optional_add_subdirectory( skypebuttons )

########### install files ###############

install( TARGETS kopete_skype DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES kopete_skype.desktop skype.protocol callto.protocol tel.protocol DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES skypeui.rc skypechatui.rc DESTINATION ${KDE_INSTALL_DATADIR}/kopete_skype )

#Enable this for system bus dbus type communication with skype public api
#Linux skype client (version 2.0.0.72) still does not support it, so we do not need it now maybe in new skype version
#if (DBUS_SYSTEM_POLICY_DIR)
#	install( FILES libskype/skypedbus/com.Skype.API.Client.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
#else (DBUS_SYSTEM_POLICY_DIR)
#	message(STATUS "It is necessary to specify the directory where the client policy file for com.Skype.API.Client.conf is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
#endif (DBUS_SYSTEM_POLICY_DIR)

=== protocols/jabber/libjingle/CMakeLists.txt ===
# Copyright (c) 2009-2013 Pali Rohár <pali.rohar@gmail.com>

########### next target ###############

# If we are not included from jabber protocol (= BUILD_LIBJINGLE is not defined) then find required packages
# This is usefull for debugging and compiling call executable without kopete and KDE dependences
if ( NOT BUILD_LIBJINGLE )
	cmake_minimum_required(VERSION 2.8.3)
	set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../cmake/modules ${CMAKE_MODULE_PATH})
	find_package(Expat REQUIRED)
	find_package(JsonCpp REQUIRED)
	find_package(LiboRTP REQUIRED)
	find_package(Mediastreamer REQUIRED)
	find_package(OpenSSL REQUIRED)
	find_package(SRTP REQUIRED)
endif ( NOT BUILD_LIBJINGLE )

########### next target ###############

add_definitions (
	-DFEATURE_ENABLE_SSL
	-DFEATURE_ENABLE_VOICEMAIL
	-DFEATURE_ENABLE_PSTN
	-DHAVE_SRTP
	-DHAVE_LINPHONE
	-DSRTP_RELATIVE_PATH
	-DEXPAT_RELATIVE_PATH
	-DGTEST_RELATIVE_PATH
	-DJSONCPP_RELATIVE_PATH
)

if ( NOT WIN32 )
	add_definitions (
		-DHASHNAMESPACE=__gnu_cxx
		-DHASH_NAMESPACE=__gnu_cxx
		-DPOSIX
		-DDISABLE_DYNAMIC_CAST
		-DHAVE_OPENSSL_SSL_H
		-D_REENTRANT
	)
	if ( NOT APPLE )
		add_definitions ( -DLINUX )
	endif ( NOT APPLE )
endif ( NOT WIN32 )

if ( MEDIASTREAMER_LESS_2_9 )
	add_definitions ( -DMEDIASTREAMER_LESS_2_9 )
endif ( MEDIASTREAMER_LESS_2_9 )

if ( MEDIASTREAMER_LESS_2_11 )
	add_definitions ( -DMEDIASTREAMER_LESS_2_11 )
endif ( MEDIASTREAMER_LESS_2_11 )

if ( CMAKE_BUILD_TYPE STREQUAL "Debug" )
	add_definitions ( -D_DEBUG )
endif ( CMAKE_BUILD_TYPE STREQUAL "Debug" )

set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-undef -Wno-unused-parameter" )
set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef -Wno-unused-parameter -Wno-non-virtual-dtor -Wno-delete-non-virtual-dtor -std=gnu++98" )

########### next target ###############

include_directories (
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/talk/third_party/libudev
	${EXPAT_INCLUDE_DIR}
	${MEDIASTREAMER_INCLUDE_DIR}
	${LIBORTP_INCLUDE_DIR}
	${SRTP_INCLUDE_DIR}
	${JSONCPP_INCLUDE_DIR}
)

if ( NOT WIN32 )
	include_directories (
		${OPENSSL_INCLUDE_DIR}
	)
endif ( NOT WIN32 )

########### next target ###############

set ( call_SRCS
	talk/base/latebindingsymboltable.cc
	talk/base/linux.cc
	talk/base/linuxfdwalk.cc
	talk/base/libdbusglibsymboltable.cc
	talk/session/phone/libudevsymboltable.cc
	talk/session/phone/linuxdevicemanager.cc
	talk/session/phone/v4llookup.cc
	talk/sound/pulseaudiosoundsystem.cc
	talk/sound/pulseaudiosymboltable.cc
	talk/base/unixfilesystem.cc
	talk/base/openssladapter.cc
	talk/base/openssldigest.cc
	talk/base/opensslidentity.cc
	talk/base/opensslstreamadapter.cc
	talk/base/posix.cc
	talk/base/sslidentity.cc
	talk/base/sslstreamadapter.cc
	talk/session/phone/linphonemediaengine.cc
	talk/base/asyncfile.cc
	talk/base/asynchttprequest.cc
	talk/base/asyncsocket.cc
	talk/base/asynctcpsocket.cc
	talk/base/asyncudpsocket.cc
	talk/base/autodetectproxy.cc
	talk/base/bandwidthsmoother.cc
	talk/base/base64.cc
	talk/base/basicpacketsocketfactory.cc
	talk/base/bytebuffer.cc
	talk/base/checks.cc
	talk/base/common.cc
	talk/base/cpuid.cc
	talk/base/cpumonitor.cc
	talk/base/diskcache.cc
	talk/base/event.cc
	talk/base/filelock.cc
	talk/base/fileutils.cc
	talk/base/firewallsocketserver.cc
	talk/base/flags.cc
	talk/base/helpers.cc
	talk/base/host.cc
	talk/base/httpbase.cc
	talk/base/httpclient.cc
	talk/base/httpcommon.cc
	talk/base/httprequest.cc
	talk/base/httpserver.cc
	talk/base/ipaddress.cc
	talk/base/logging.cc
	talk/base/md5c.c
	talk/base/messagedigest.cc
	talk/base/messagehandler.cc
	talk/base/messagequeue.cc
	talk/base/multipart.cc
	talk/base/natserver.cc
	talk/base/natsocketfactory.cc
	talk/base/nattypes.cc
	talk/base/nethelpers.cc
	talk/base/network.cc
	talk/base/optionsfile.cc
	talk/base/pathutils.cc
	talk/base/physicalsocketserver.cc
	talk/base/proxydetect.cc
	talk/base/proxyinfo.cc
	talk/base/proxyserver.cc
	talk/base/ratelimiter.cc
	talk/base/ratetracker.cc
	talk/base/sha1.c
	talk/base/sharedexclusivelock.cc
	talk/base/signalthread.cc
	talk/base/socketadapters.cc
	talk/base/socketaddress.cc
	talk/base/socketaddresspair.cc
	talk/base/socketpool.cc
	talk/base/socketstream.cc
	talk/base/ssladapter.cc
	talk/base/sslsocketfactory.cc
	talk/base/stream.cc
	talk/base/stringencode.cc
	talk/base/stringutils.cc
	talk/base/systeminfo.cc
	talk/base/task.cc
	talk/base/taskparent.cc
	talk/base/taskrunner.cc
	talk/base/testclient.cc
	talk/base/thread.cc
	talk/base/timeutils.cc
	talk/base/timing.cc
	talk/base/transformadapter.cc
	talk/base/urlencode.cc
	talk/base/versionparsing.cc
	talk/base/virtualsocketserver.cc
	talk/base/worker.cc
	talk/p2p/base/constants.cc
	talk/p2p/base/p2ptransport.cc
	talk/p2p/base/p2ptransportchannel.cc
	talk/p2p/base/parsing.cc
	talk/p2p/base/port.cc
	talk/p2p/base/portallocator.cc
	talk/p2p/base/portallocatorsessionproxy.cc
	talk/p2p/base/portproxy.cc
	talk/p2p/base/pseudotcp.cc
	talk/p2p/base/relayport.cc
	talk/p2p/base/relayserver.cc
	talk/p2p/base/rawtransport.cc
	talk/p2p/base/rawtransportchannel.cc
	talk/p2p/base/session.cc
	talk/p2p/base/sessiondescription.cc
	talk/p2p/base/sessionmanager.cc
	talk/p2p/base/sessionmessages.cc
	talk/p2p/base/stun.cc
	talk/p2p/base/stunport.cc
	talk/p2p/base/stunrequest.cc
	talk/p2p/base/stunserver.cc
	talk/p2p/base/tcpport.cc
	talk/p2p/base/transport.cc
	talk/p2p/base/transportchannel.cc
	talk/p2p/base/transportchannelproxy.cc
	talk/p2p/base/udpport.cc
	talk/p2p/client/basicportallocator.cc
	talk/p2p/client/connectivitychecker.cc
	talk/p2p/client/httpportallocator.cc
	talk/p2p/client/socketmonitor.cc
	talk/session/tunnel/pseudotcpchannel.cc
	talk/session/tunnel/tunnelsessionclient.cc
	talk/session/tunnel/securetunnelsessionclient.cc
	talk/session/phone/audiomonitor.cc
	talk/session/phone/call.cc
	talk/session/phone/channel.cc
	talk/session/phone/channelmanager.cc
	talk/session/phone/codec.cc
	talk/session/phone/constants.cc
	talk/session/phone/currentspeakermonitor.cc
	talk/session/phone/dataengine.cc
	talk/session/phone/devicemanager.cc
	talk/session/phone/filemediaengine.cc
	talk/session/phone/filevideocapturer.cc
	talk/session/phone/mediaengine.cc
	talk/session/phone/mediamessages.cc
	talk/session/phone/mediamonitor.cc
	talk/session/phone/mediarecorder.cc
	talk/session/phone/mediasession.cc
	talk/session/phone/mediasessionclient.cc
	talk/session/phone/rtpdump.cc
	talk/session/phone/rtputils.cc
	talk/session/phone/rtcpmuxfilter.cc
	talk/session/phone/soundclip.cc
	talk/session/phone/srtpfilter.cc
	talk/session/phone/ssrcmuxfilter.cc
	talk/session/phone/streamparams.cc
	talk/session/phone/videoadapter.cc
	talk/session/phone/videocapturer.cc
	talk/session/phone/videocommon.cc
	talk/session/phone/videoframe.cc
	talk/sound/nullsoundsystem.cc
	talk/sound/nullsoundsystemfactory.cc
	talk/sound/platformsoundsystem.cc
	talk/sound/platformsoundsystemfactory.cc
	talk/sound/soundsysteminterface.cc
	talk/sound/soundsystemproxy.cc
	talk/xmllite/qname.cc
	talk/xmllite/xmlbuilder.cc
	talk/xmllite/xmlconstants.cc
	talk/xmllite/xmlelement.cc
	talk/xmllite/xmlnsstack.cc
	talk/xmllite/xmlparser.cc
	talk/xmllite/xmlprinter.cc
	talk/xmpp/constants.cc
	talk/xmpp/hangoutpubsubclient.cc
	talk/xmpp/iqtask.cc
	talk/xmpp/jid.cc
	talk/xmpp/moduleimpl.cc
	talk/xmpp/mucroomconfigtask.cc
	talk/xmpp/mucroomhistorytask.cc
	talk/xmpp/mucroomlookuptask.cc
	talk/xmpp/pubsubclient.cc
	talk/xmpp/pubsub_task.cc
	talk/xmpp/pubsubtasks.cc
	talk/xmpp/receivetask.cc
	talk/xmpp/saslmechanism.cc
	talk/xmpp/xmppclient.cc
	talk/xmpp/xmppengineimpl.cc
	talk/xmpp/xmppengineimpl_iq.cc
	talk/xmpp/xmpplogintask.cc
	talk/xmpp/xmppstanzaparser.cc
	talk/xmpp/xmpptask.cc
	talk/examples/call/call_main.cc
	talk/examples/call/callclient.cc
	talk/examples/call/console.cc
	talk/examples/call/friendinvitesendtask.cc
	talk/examples/call/mediaenginefactory.cc
	talk/examples/call/mucinviterecvtask.cc
	talk/examples/call/mucinvitesendtask.cc
	talk/examples/call/presenceouttask.cc
	talk/examples/call/presencepushtask.cc
	talk/examples/login/jingleinfotask.cc
	talk/examples/login/xmppauth.cc
	talk/examples/login/xmpppump.cc
	talk/examples/login/xmppsocket.cc
)

set ( call_LIBS
	${SRTP_LIBRARY}
	${JSONCPP_LIBRARY}
	${EXPAT_LIBRARY}
	${MEDIASTREAMER_LIBRARIES}
	${LIBORTP_LIBRARY}
	${CMAKE_DL_LIBS}
)

if ( NOT WIN32 )
	#timeutils calls CLOCK_MONOLITHIC stuff, so we need the rt library
	FIND_LIBRARY(RT_LIBRARY NAMES rt)
	set ( call_LIBS ${call_LIBS}
		${OPENSSL_LIBRARIES}
		${RT_LIBRARY}
	)
endif ( NOT WIN32 )

add_executable ( call ${call_SRCS} )
set_target_properties ( call PROPERTIES OUTPUT_NAME libjingle-call )
target_link_libraries ( call ${call_LIBS} )

########### install files ###############

install ( TARGETS call DESTINATION bin )

=== protocols/skype/skypebuttons/CMakeLists.txt ===
########### next target ###############

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=default" )

string( LENGTH "$ENV{HOME}" LENGTH_OF_HOME )
if( LENGTH_OF_HOME GREATER 0 )
	string( REGEX MATCHALL ^$ENV{HOME}.*$ IS_HOME ${CMAKE_INSTALL_PREFIX} )
else( LENGTH_OF_HOME GREATER 0 )
	set( IS_HOME FALSE )
endif( LENGTH_OF_HOME GREATER 0 )
string( COMPARE EQUAL /usr ${CMAKE_INSTALL_PREFIX} IS_USR )
string( COMPARE EQUAL /usr/local ${CMAKE_INSTALL_PREFIX} IS_LOCAL )

if( NOT MOZPLUGIN_INSTALL_DIR )
	if( IS_HOME AND NOT IS_USR AND NOT IS_LOCAL )
		set( MOZPLUGIN_INSTALL_DIR $ENV{HOME}/.mozilla/plugins )
	endif( IS_HOME AND NOT IS_USR AND NOT IS_LOCAL )
	if( NOT IS_HOME AND IS_USR AND NOT IS_LOCAL )
		set( MOZPLUGIN_INSTALL_DIR /usr/lib${LIB_SUFFIX}/mozilla/plugins )
	endif( NOT IS_HOME AND IS_USR AND NOT IS_LOCAL )
	if( NOT IS_HOME AND NOT IS_USR AND IS_LOCAL )
		set( MOZPLUGIN_INSTALL_DIR /usr/local/netscape/plugins )
	endif( NOT IS_HOME AND NOT IS_USR AND IS_LOCAL )
	if( NOT IS_HOME AND NOT IS_USR AND NOT IS_LOCAL )
		set( MOZPLUGIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/mozilla/plugins )
	endif( NOT IS_HOME AND NOT IS_USR AND NOT IS_LOCAL )
endif( NOT MOZPLUGIN_INSTALL_DIR )

mark_as_advanced( MOZPLUGIN_INSTALL_DIR )

message( STATUS "Mozilla plugin install dir is \"${MOZPLUGIN_INSTALL_DIR}\" to change use parm -DMOZPLUGIN_INSTALL_DIR=<directory>" )

#TODO: Check if QtBrowerPlugin (or QtNsPlugin?) installed and use it

set( skypebuttons_SRCS
	skypebuttons.cpp
	qtbrowserplugin/qtbrowserplugin.cpp
	qtbrowserplugin/qtbrowserplugin_x11.cpp
)

qt5_generate_moc( ${CMAKE_CURRENT_SOURCE_DIR}/skypebuttons.cpp ${CMAKE_CURRENT_BINARY_DIR}/skypebuttons.moc )

add_library(skypebuttons MODULE ${skypebuttons_SRCS} ${qtbrowserplugin_SRC} )
target_link_libraries( skypebuttons Qt5::Core Qt5::Gui )

########### install files ###############

install( TARGETS skypebuttons DESTINATION ${MOZPLUGIN_INSTALL_DIR} )

=== styles/Konqi/Contents/Resources/CMakeLists.txt ===

add_subdirectory( Incoming ) 
add_subdirectory( Outgoing ) 
add_subdirectory( Variants ) 

########### install files ###############

install( FILES main.css Footer.html Header.html Status.html puce.png  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/styles/Konqi/Contents/Resources)

=== styles/Kopete/Contents/Resources/CMakeLists.txt ===

add_subdirectory( images ) 
add_subdirectory( Incoming ) 
add_subdirectory( Outgoing ) 
add_subdirectory( Variants ) 

########### install files ###############

install( FILES main.css Footer.html Header.html Status.html  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/styles/Kopete/Contents/Resources)

=== styles/Hacker/Contents/Resources/Variants/CMakeLists.txt ===

########### install files ###############

install( FILES Dark2.css Dark.css Light2.css Light.css Dark2-Noback.css Dark-Noback.css Light2-Noback.css Light-Noback.css  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/styles/Hacker/Contents/Resources/Variants)

=== debian/changelog ===
kopete (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:14:26 +0000

kopete (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:01 +0000

kopete (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:28:51 +0000

kopete (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:02 +0000

kopete (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)
  * Pass '-DWITH_libjingle=false' to configure to disable building with
    Jabber libjingle support. Fixes FTBFS with openssl 3 until an
    upstream fix is available.

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Dec 2021 07:50:58 +0000

kopete (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:31:33 +0000

kopete (4:21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:43:38 +0000

kopete (4:21.08.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against libidn12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 05:32:57 +0000

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               dh-exec,
               extra-cmake-modules (>= 5.25.0~),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgnutls28-dev,
               libgpgmepp-dev (>= 1.8.0~),
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libkf5config-dev (>= 5.25.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.25.0~),
               libkf5crash-dev (>= 5.25.0~),
               libkf5dbusaddons-dev (>= 5.25.0~),
               libkf5dnssd-dev (>= 5.25.0~),
               libkf5doctools-dev (>= 5.25.0~),
               libkf5emoticons-dev (>= 5.25.0~),
               libkf5i18n-dev (>= 5.25.0~),
               libkf5identitymanagement-dev (>= 21.12.3~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5kdelibs4support-dev (>= 5.25.0~),
               libkf5khtml-dev (>= 5.25.0~),
               libkf5kio-dev (>= 5.25.0~),
               libkf5libkleo-dev (>= 4:21.12.3~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5parts-dev (>= 5.25.0~),
               libkf5texteditor-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               libsrtp2-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete

Package: kopete
Section: net
Architecture: any
Depends: kopete-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: libqca-qt5-2-plugins, libqt5sql5-sqlite
Suggests: imagemagick, khelpcenter
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-data
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Replaces: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Description: data files for Kopete
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains the data files.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.0~),
         ${misc:Depends},
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

## kopete 22.08.1

=== debian/changelog ===
kopete (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:43:41 +0100

kopete (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:12 +0100

kopete (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:30:56 +0100

kopete (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:21 +0100

kopete (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:17 +0100

kopete (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 21.12.3~),
+               libkf5identitymanagement-dev (>= 22.08.1~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:21.12.3~),
+               libkf5libkleo-dev (>= 4:22.08.1~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),

## kopete 22.12.3

=== debian/changelog ===
kopete (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:41:40 +0000

kopete (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:22:27 -0600

kopete (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:26:49 +0000

kopete (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:04 +0000

kopete (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:20 +0000

kopete (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:40:15 +0000

kopete (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 22.08.1~),
+               libkf5identitymanagement-dev (>= 22.12.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:22.08.1~),
+               libkf5libkleo-dev (>= 4:22.12.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),

## kopete 23.04.1

=== debian/changelog ===
kopete (4:23.04.1-0xneon+22.04+jammy+release+build22) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 May 2023 08:54:19 +0000

kopete (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:07:19 +0000

kopete (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:32:11 +0000

kopete (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:08:42 +0000

kopete (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:44:33 +0000

kopete (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:51:49 +0000

kopete (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:12:44 +0000

kopete (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:32:44 +0000

kopete (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:13:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
                dh-exec,
@@ -30,12 +29,13 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 22.12.3~),
+               libkf5identitymanagement-dev (>= 22.04.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:22.12.3~),
+               libkf5ktextaddons-dev,
+               libkf5libkleo-dev (>= 4:22.04.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),
@@ -47,6 +47,7 @@
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
+               libqgpgme-dev,
                libsqlite3-dev,
                libsrtp2-dev,
                libssl-dev,
@@ -60,11 +61,12 @@
                qtbase5-dev (>= 5.6.0~),
                xauth,
                xvfb,
-               zlib1g-dev,
+               zlib1g-dev
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Git: https://invent.kde.org/neon/kde/kopete.git
+Vcs-Browser: https://invent.kde.org/neon/kde/kopete
+Maintainer: Neon CI <neon@kde.org>
 
 Package: kopete
 Section: net
@@ -99,7 +101,7 @@
 Architecture: any
 Depends: libkopete1 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.0~),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: development files for the Kopete instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced

## kopete 23.04.2

=== debian/changelog ===
kopete (4:23.04.2-0xneon+22.04+jammy+release+build23) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 11:59:03 +0000

kopete (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:43:05 +0000

## kopete 23.08.0

=== debian/changelog ===
kopete (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:57:55 +0100

kopete (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:30 +0100

kopete (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:51:53 +0100

kopete (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kopete
 Section: kde
 Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
                dh-exec,
@@ -29,15 +30,15 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 22.04.3~),
+               libkf5identitymanagement-dev (>= 23.08.0~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5ktextaddons-dev,
-               libkf5libkleo-dev (>= 4:22.04.3~),
+               libkf5libkleo-dev (>= 4:23.08.0~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
+               libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.25.0~),
                libkf5wallet-dev (>= 5.25.0~),
                libmeanwhile-dev,
@@ -47,7 +48,6 @@
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqgpgme-dev,
                libsqlite3-dev,
                libsrtp2-dev,
                libssl-dev,
@@ -61,12 +61,11 @@
                qtbase5-dev (>= 5.6.0~),
                xauth,
                xvfb,
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Git: https://invent.kde.org/neon/kde/kopete.git
-Vcs-Browser: https://invent.kde.org/neon/kde/kopete
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
 
 Package: kopete
 Section: net
@@ -101,7 +100,7 @@
 Architecture: any
 Depends: libkopete1 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for the Kopete instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced

## kopete 23.08.1

=== debian/changelog ===
kopete (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 23.08.0~),
+               libkf5identitymanagement-dev (>= 23.08.1~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:23.08.0~),
+               libkf5libkleo-dev (>= 4:23.08.1~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5textaddons-dev,
